zenilib: zenilib/jni/external/freetype2/src/autofit/afloader.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Typedefs | Functions
afloader.h File Reference
`#include "afhints.h"`
`#include "afglobal.h"`

Go to the source code of this file.

## Classes

struct | AF_LoaderRec_

## Typedefs

typedef FT_BEGIN_HEADER struct AF_LoaderRec_ * | AF_Loader
typedef FT_BEGIN_HEADER struct AF_LoaderRec_ | AF_LoaderRec

## Functions

| af_loader_done (AF_Loader loader)
| af_loader_init (AF_Loader loader, FT_Memory memory)
| af_loader_load_glyph (AF_Loader loader, FT_Face face, FT_UInt gindex, FT_Int32 load_flags)
| af_loader_reset (AF_Loader loader, FT_Face face)

## Typedef Documentation

typedef FT_BEGIN_HEADER struct AF_LoaderRec_ * AF_Loader

typedef FT_BEGIN_HEADER struct AF_LoaderRec_ AF_LoaderRec

## Function Documentation

af_loader_done | ( | AF_Loader | loader | ) |

Definition at line 74 of file afloader.c.

References af_glyph_hints_done(), FT_GlyphLoader_Done(), and NULL.

Referenced by af_autofitter_done().

af_loader_init | ( | AF_Loader | loader,
|  | FT_Memory | memory
| ) |  |

Definition at line 28 of file afloader.c.

References af_glyph_hints_init(), FT_GlyphLoader_New(), and FT_ZERO.

Referenced by af_autofitter_init().

af_loader_load_glyph | ( | AF_Loader | loader,
|  | FT_Face | face,
|  | FT_UInt | gindex,
|  | FT_Int32 | load_flags
| ) |  |

Definition at line 487 of file afloader.c.

References af_face_globals_get_metrics(), af_loader_load_g(), af_loader_reset(), AF_ScriptMetricsRec_::clazz, error, AF_ScalerRec_::face, AF_ScalerRec_::flags, FT_LOAD_IGNORE_TRANSFORM, FT_LOAD_NO_SCALE, FT_LOAD_RENDER, FT_LOAD_TARGET_MODE, FT_ZERO, FT_SizeRec_::metrics, AF_ScalerRec_::render_mode, AF_ScriptMetricsRec_::scaler, AF_ScalerRec_::x_delta, AF_ScalerRec_::x_scale, FT_Size_Metrics_::x_scale, AF_ScalerRec_::y_delta, AF_ScalerRec_::y_scale, and FT_Size_Metrics_::y_scale.

Referenced by af_autofitter_load_glyph().

af_loader_reset | ( | AF_Loader | loader,
|  | FT_Face | face
| ) |  |

Definition at line 44 of file afloader.c.

References af_face_globals_free(), af_face_globals_new(), error, FT_GlyphLoader_Rewind(), and NULL.

Referenced by af_loader_load_glyph().